Posted on Feb 10, 2016

Note:

Contact Support for more information or to obtain the QF.

Issues fixed in the QF

  • Handle indexed bindrefs in lazy panels (Ref#  CQ-68875)
  • Hidden fields in nested fragments are not working consistently (Ref# CQ-62951)
  • Ability to customize Adaptive forms to include Attachments in verify component (Ref# NPR-8852)
  • Generate a relation between attachment and its panel in submitted xml (Ref# NPR-8853)
  • Consolidated fix for all the open issue (Ref# NPR-9086)
  • Scripts failure for af components in newer versions of chrome (Ref# CQ-71658)
  • Wizard previous/next navigation not working on Adaptive Form (Ref# CQ-61990)
  • Wizard Navigation appears appear dislocated with visibility expression (computed false) of panels (Ref# NPR-8791)

Prerequisites to installing the QF

  • AEM 6.1 forms

Installing and configuring the QF

  1. Go to http://[server_name]:[port]/crx/packmgr, where server_name and port refer to the server name and port for the AEM forms installation.
  2. Log in with administrator credentials. The default username/password is admin/admin.
  3. Select the adobe-aemfd-[OS]-pkg-<version>.zip package and click Download. Save the package on your machine.
  4. Click Upload package and upload the adobe-aemfd-[OS]-pkg-2.4.54.zip package.
  5. Select the uploaded package and click Update.
  6. After the package is installed, restart the server.

Script Fix for Forms Rule Editor

If you have created rules using Feature Pack 1 (FP1) Rule Editor, and your scripts have stopped working correctly using latest version of Chrome(Version 48), install and run this Script Fix tool, which will fix your scripts to work correctly with latest and older versions of Chrome. This is a one-time activity to fix the scripts in your form, and you can uninstall the tool after you have run it on your server.

Note:

Run the Script Fix tool only after installing the QF 2.4.54.

Uploading and installing the tool

  1. Go to http://[server_name]:[port]/crx/packmgr, where server_name and port refer to the server name and port for the AEM forms installation.
  2. Log in with administrator credentials. The default username/password is admin/admin.
  3. Click Upload package and upload Script-Fixer-1.0-SNAPSHOT.zip tool.
  4. Select the package and click Install.

How to run the tool

To run the tool, open your browser and type the following url:

http://<server>:<port>/content/afpatch/fixscripts.html/<path of the folder containing forms without trailing />

If your server is installed on localhost, running on port 4502, to clean up all the Guides present in the Dam folder, open the following url:   

http://localhost:4502/content/afpatch/fixscripts.html/content/dam/formsanddocuments

Your system is not affected if you run the tool multiple times. The scripts are fixed when the tool is run for the first time. If you run the tool again, the scripts remain untouched. You can uninstall the tool after running it.  

Uninstalling the tool

  1. Go to http://[server_name]:[port]/lc/crx/packmgr, where server_name and port refer to the server name and port for the AEM forms installation.
  2. Log in with administrator credentials. The default username/password is admin/admin.
  3. Select the Script-Fixer-1.0-SNAPSHOT.zip package, click More, and click Uninstall
  4. Select the Script-Fixer-1.0-SNAPSHOT.zip package, click More, and click Delete.

Note:

Works with AEM 6.1 Forms feature pack 1 only.

Impacted modules

  • Adaptive forms

This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License  Twitter™ and Facebook posts are not covered under the terms of Creative Commons.

Legal Notices   |   Online Privacy Policy